### Enumeration

# Aravis GvStreamSocketBuffer

#### Declaration

    enum Aravis.GvStreamSocketBuffer

#### Description

No description available.

#### Members

`ARV_GV_STREAM_SOCKET_BUFFER_FIXED`

  Socket buffer is set using `ArvGvStream:socket-buffer-size` value.

  - Value: `0`
  - Available since: 0.8
`ARV_GV_STREAM_SOCKET_BUFFER_AUTO`

  Socket buffer size is set to the payload size if `ArvGvStream:socket-buffer-size` is not strictly positive, or the minimum of both values.

  - Value: `1`
  - Available since: 0.8